export default () => ({
  database: {
    host: process.env.DB_HOST || 'postgres',
    port: parseInt(process.env.DB_PORT!, 10) || 5432,
    name: process.env.DB_NAME || 'music-collection',
    user: process.env.DB_USER || 'music-collection',
    password: process.env.DB_PASSWORD || 'password',
  },
  app: {
    port: parseInt(process.env.PORT!, 10) || 5000,
    hostname: process.env.HOSTNAME || 'localhost',
    protocol: process.env.PROTOCOL || 'http',
    frontend_url: process.env.FRONTEND_URL || 'http://localhost:5001',
  }
});
